; ===========================
; Nes
; ===========================

; all keys can be overridden for a particular board using key.<boardtag>
; example:
;   priority = 0
;   priority.rpi4 = 3
; Complete sections may be overridden. In such cases, all key from the global section are ignored,
; you must redefine them all
; example
; [core.0]
; [core.0.rpi4]
; Board tags are defined by BR2_PACKAGE_RECALBOX_TARGET_<tag>

[system]
uuid = "62f2cbed-5bcb-46d8-bca9-daaa36613c7a"
name = "nes"
fullname = "Nintendo Entertainment System"
theme.folder = "nes"
roms.folder = "%ROOT%/nes"
screenscraper.id = 3
doc.link.fr = "https://wiki.recalbox.com/fr/emulators/consoles/nintendo-entertainment-system"
doc.link.en = "https://wiki.recalbox.com/en/emulators/consoles/nintendo-entertainment-system"
port = 0
readonly = 0
icon.unicode = $F25c

[properties]
type = console
device.pad = mandatory
device.keyboard = no
device.mouse = no
device.lightgun = recommended
release.date = "1983-07"
manufacturer = "Nintendo"
retroachievements = 1
crt.multiresolution = 0
crt.multiregion = 1

[core.0]
package = BR2_PACKAGE_LIBRETRO_NESTOPIA
priority = 1
emulator = "libretro"
core = "nestopia"
extensions = ".nes .unf .unif .zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high
crt.available = 1

[core.1]
package = BR2_PACKAGE_LIBRETRO_FCEUMM
priority = 2
emulator = "libretro"
core = "fceumm"
extensions = ".nes .unf .unif .zip .7z"
netplay = 0
softpatching = 1
compatibility = high
speed = high
crt.available = 1

[core.2]
package = BR2_PACKAGE_LIBRETRO_FCEUNEXT
priority = 3
emulator = "libretro"
core = "fceunext"
extensions = ".nes .unf .unif .zip .7z"
netplay = 0
softpatching = 0
compatibility = high
speed = high

[core.3]
package = BR2_PACKAGE_LIBRETRO_QUICKNES
priority = 4
emulator = "libretro"
core = "quicknes"
extensions = ".nes .unf .unif .zip .7z"
netplay = 0
softpatching = 1
compatibility = high
speed = high

[core.4]
package = BR2_PACKAGE_LIBRETRO_MESEN
priority = 5
emulator = "libretro"
core = "mesen"
extensions = ".nes .unf .unif .zip .7z"
netplay = 0
softpatching = 1
compatibility = high
speed = high

[core.5]
package = BR2_PACKAGE_LIBRETRO_FBNEO
priority = 6
emulator = "libretro"
core = "fbneo"
extensions = ".zip .7z"
netplay = 1
softpatching = 0
compatibility = high
speed = high
